version = "1.0"
container_url = "xgrand/r-bolero:${version}"

params.nanosplicer_out = ""
process junctions_nanosplicer{
  container = "${container_url}"
  label "small_mem_mono_cpus"
  tag "${barcode}"
  if (params.nanosplicer_out != "") {
    publishDir "results/${params.nanosplicer_out}", mode: 'copy'
  }

  input:
    tuple val(barcode), path(txt), path(csv)

  output:
    path("${barcode}/${barcode}_JWR_check_parsed.csv")
    tuple val(barcode), path("${barcode}/${barcode}_identified_SPvariants.csv"), emit: identified_SPvariants

  script:
    """
    mkdir ${barcode}
    cd ${barcode}/
    Rscript /Junctions_NanoSplicer.R -c ../${txt} -j ../${csv} -b ${barcode}
    """
}